<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="style.xsl"/>
<xsl:include href="service-params.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="page">

<xsl:variable name="collName"><xsl:value-of select="request/paramList/param[@name='collection']/@value"/></xsl:variable>

<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">
<center>
<xsl:call-template name="collectionPageBanner">
<xsl:with-param name="collName" select="$collName"/>
</xsl:call-template>
<xsl:apply-templates select="service">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
<xsl:apply-templates select="response">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
</center>
<xsl:call-template name="greenstoneFooter"/>
</body>
</html>
</xsl:template>

<xsl:template match="service">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name="queryString"><xsl:value-of select="../request/paramList/param[@name='query']/@value"/></xsl:variable>
<xsl:variable name="subaction"><xsl:value-of select="../request/@subaction"/></xsl:variable>
<xsl:variable name='library' select='ancestor::page/config/library_name'/>
<h3><xsl:value-of select="display/name"/></h3><p/>
<form name="QueryForm" method="get" action="/gsdl3/{$library}">
<xsl:apply-templates select="paramList"/>
<input type="hidden" name="a" value="q"/>
<input type="hidden" name="sa" value="{$subaction}"/>
<input type="hidden" name="c" value="{$collName}"/>
<input type="submit"><xsl:attribute name="value"><xsl:value-of select='display/submit'/></xsl:attribute></input>
</form>
<xsl:call-template name="greenBar"/>
</xsl:template>

<xsl:template match="paramList">
<p/><table width="537">
<xsl:for-each select="param">
<xsl:choose>
<xsl:when test="@type='multi'">
<tr><td colspan='2'>
<xsl:apply-templates select='.'/></td></tr>
</xsl:when>
<xsl:otherwise>
<xsl:variable name="pname" select="@name"/>
<tr><td><xsl:value-of select='ancestor::service/display/param[@name=$pname]/name'/></td><td align="right"><xsl:apply-templates select="."/></td></tr>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</table>
</xsl:template>


<!-- a param list that puts params in pairs- wont work as is with new
param handling stuff -->
<!--
<xsl:template match="paramList">
<p/><table width="537">
<xsl:choose>
<xsl:when test='count(param)>4'>
<xsl:for-each select="param[position() mod 2 = 1]"> 
<tr><xsl:apply-templates select="."/>
<xsl:if test="following-sibling::param[1]"><xsl:apply-templates select='following-sibling::param[1]'/></xsl:if></tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="param">
<tr><xsl:apply-templates select='.'/></tr>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
</table>
</xsl:template>
-->

<xsl:template match="response">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name="library" select="ancestor::page/config/library_name"/>
<table width="537">
<xsl:for-each select="content/resourceList/resource">
<tr><td><a href="{$library}?a=r&amp;c={$collName}&amp;r={@name}">link</a></td><td><xsl:value-of select="metadataList/metadata[@name='Title']"/></td></tr>
</xsl:for-each>
</table>
<xsl:call-template name="greenBar"/>
</xsl:template>


</xsl:stylesheet>  





